fix discouraged access warnings

To fix the "discouraged access" warnings, we need either do iron out the
x-friends in the bundle manifests or define access rules for some
internal WTP packages. WTP decided to not remove the "internal" from the
package name since this would break many already dependents. In fact
things like the URIResolver are publicly used since years and therefor
considered as public API.

Change-Id: Ia025462c27b4920ee8154dd0b3c9013dce6b8264
Signed-off-by: Florian Thienel <florian@thienel.org>
diff --git a/org.eclipse.vex.core/.classpath b/org.eclipse.vex.core/.classpath
index c72d35a..9ce3b1f 100644
--- a/org.eclipse.vex.core/.classpath
+++ b/org.eclipse.vex.core/.classpath
@@ -1,7 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**/wst/**/internal/**"/>
+		</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="target/classes"/>
 </classpath>